/*
 * $Id: StreamConstants.java,v 1.2 1998/10/20 04:03:13 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba.io/StreamConstants.java,v $
 * $Revision: 1.2 $
 * $Date: 1998/10/20 04:03:13 $
 * $State: Exp $
 */
package au.net.aba.io;

/**
 * Constants required for parsing/creating an externalisable stream
 */
public interface StreamConstants
{
	final static short STREAM_MAGIC = (short)0xaced;
	final static short STREAM_VERSION = 5;

	/*
	 * Terminal symbols
	 */
	final static byte TC_NULL		= (byte)'p'; // 0x70
	final static byte TC_REFERENCE		= (byte)'q'; 
	final static byte TC_CLASSDESC		= (byte)'r';
	final static byte TC_OBJECT		= (byte)'s';
	final static byte TC_STRING		= (byte)'t';
	final static byte TC_ARRAY		= (byte)'u';
	final static byte TC_CLASS		= (byte)'v';
	final static byte TC_BLOCKDATA		= (byte)'w';
	final static byte TC_ENDBLOCKDATA	= (byte)'x';
	final static byte TC_RESET		= (byte)'y';
	final static byte TC_BLOCKDATALONG	= (byte)'z';
	final static byte TC_EXCEPTION		= (byte)'{'; // 0x7b

	/*
	 * reference handles start from this value.
	 */
	final static int BASE_REF_HANDLE = 0x7e0000;

	/*
	 * flag bytes for classDescFlags.
	 */
	final static byte SC_WRITE_METHOD = 0x01;
	final static byte SC_SERIALIZABLE = 0x02;
	final static byte SC_EXTERNALIZABLE = 0x04;
}
