/*
 * $Id: RSAPublicKeySpec.java,v 1.1 1998/10/20 06:08:08 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba.security.spec/RSAPublicKeySpec.java,v $
 * $Revision: 1.1 $
 * $Date: 1998/10/20 06:08:08 $
 * $State: Exp $
 */
package au.net.aba.security.spec;

import au.net.aba.math.BigInteger;


/**
 * A class that provides a specification for an RSA Public key.
 */
public class RSAPublicKeySpec implements KeySpec
{
	public final static String ident = "$Id: RSAPublicKeySpec.java,v 1.1 1998/10/20 06:08:08 leachbj Exp $";

	protected BigInteger	modulus;
	protected BigInteger	publicExponent;

	public RSAPublicKeySpec(
		BigInteger	modulus,
		BigInteger	publicExponent)
	{
		this.modulus = modulus;
		this.publicExponent = publicExponent;
	}

	/**
	 * Returns the modulus.
	 */
	public BigInteger getModulus()
	{
		return modulus;
	}

	/**
	 * Returns the public exponent.
	 */
	public BigInteger getPublicExponent()
	{
		return publicExponent;
	}
}
