/*
 * $Id: KeyPair.java,v 1.3 1998/10/26 01:46:12 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba.security/KeyPair.java,v $
 * $Revision: 1.3 $
 * $Date: 1998/10/26 01:46:12 $
 * $State: Exp $
 */

package au.net.aba.security;

/**
 * This class is a simple holder for a key pair (a public key and a private key)
 * It does not enforce any security, and, when initialised, should be treated
 * like a PrivateKey. 
 */
public final class KeyPair
{
	public final static String ident = "$Id: KeyPair.java,v 1.3 1998/10/26 01:46:12 leachbj Exp $";

	PublicKey	publicKey;
	PrivateKey	privateKey;

	/**
	 * Constructs a key with the specified public key and private key. 
	 */
	public KeyPair(
		PublicKey	publicKey,
		PrivateKey	privateKey)
	{
		this.publicKey = publicKey;
		this.privateKey = privateKey;
	}

	/**
	 * Returns the public key from this key pair.
	 */
	public PublicKey getPublic()
	{
		return publicKey;
	}

	/**
	 * Returns the private key from this key pair.
	 */
	public PrivateKey getPrivate()
	{
		return privateKey;
	}
}
