/*
 * $Id: X509Certificate.java,v 1.2 1999/01/21 00:43:14 jon Exp $ 
 * $Author: jon $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 *
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately.
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba.security/cert/X509Certificate.java,v $
 * $Revision: 1.2 $
 * $Date: 1999/01/21 00:43:14 $
 * $State: Exp $
 */

package au.net.aba.security.cert;

import java.util.Date;
import java.math.BigInteger;
import java.security.*;

public abstract class X509Certificate extends Certificate
implements X509Extension 
{
	protected X509Certificate() 
	{
		super("X.509");
	}

	public abstract void checkValidity()
	throws CertificateExpiredException, CertificateNotYetValidException;

	public abstract void checkValidity(Date date)
	throws CertificateExpiredException, CertificateNotYetValidException;

    public abstract int getBasicConstraints();

    public abstract Principal getIssuerDN();

    public abstract boolean[] getIssuerUniqueID();

    public abstract boolean[] getKeyUsage();

    public abstract Date getNotAfter();

    public abstract Date getNotBefore();

    public abstract BigInteger getSerialNumber();

    public abstract String getSigAlgName();

    public abstract String getSigAlgOID();

	public abstract byte[] getSigAlgParams();

    public abstract byte[] getSignature();

    public abstract Principal getSubjectDN();

    public abstract boolean[] getSubjectUniqueID();
   
    public abstract byte[] getTBSCertificate()
	throws CertificateEncodingException;

    public abstract int getVersion();
}
