/*
 * $Id: RSAPrivateKey.java,v 1.3 1998/10/05 04:56:22 dgh Exp $
 * $Author: dgh $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba.security/interfaces/RSAPrivateKey.java,v $
 * $Revision: 1.3 $
 * $Date: 1998/10/05 04:56:22 $
 * $State: Exp $
 */

package au.net.aba.security.interfaces;

import java.math.*;
import java.security.*;

/**
 * The interface to an RSA private key. 
 *
 * @see RSAPrivateKeyCrt
 */
public interface RSAPrivateKey
	extends PrivateKey
{
	public final static String ident = "$Id: RSAPrivateKey.java,v 1.3 1998/10/05 04:56:22 dgh Exp $";

	/**
	 * Returns the modulus.
	 *
	 * @return the modulus
	 */
	public BigInteger getModulus();


	/**
	 * Returns the private exponent.
	 *
	 * @return the private exponent.
	 */
	public BigInteger getPrivateExponent();
}
