/*
 * $Id: EncodedKeySpec.java,v 1.3 1998/10/20 04:03:38 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba.security/spec/EncodedKeySpec.java,v $
 * $Revision: 1.3 $
 * $Date: 1998/10/20 04:03:38 $
 * $State: Exp $
 */

package au.net.aba.security.spec;

/**
 * A key in an encoded format.
 */
public abstract class EncodedKeySpec
	implements KeySpec
{
	public final static String ident = "$Id: EncodedKeySpec.java,v 1.3 1998/10/20 04:03:38 leachbj Exp $";

	private byte[] encodedKey;	// the key


	/**
	 * Creates a new EncodedKeySpec with the given encoded key.
	 *
	 * @param encodedKey the encoded key.
	 */
	public EncodedKeySpec(
		byte[]	encodedKey)
	{
		this.encodedKey = encodedKey;
	}

	/**
	 * Returns the encoded key.
	 *
	 * @return the key encoded into a byte array.
	 */
	public byte[] getEncoded()
	{
		return encodedKey;
	}

	/**
	 * Returns the name of the encoding format used by this
	 * key specification.
	 */
	public abstract String getFormat();
}
