/*
 * $Id: X509EncodedKeySpec.java,v 1.1 1999/01/20 00:04:38 wslade Exp $
 * $Author: wslade $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * A key in an encoded format.
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba.security/spec/X509EncodedKeySpec.java,v $
 * $Revision: 1.1 $
 * $Date: 1999/01/20 00:04:38 $
 * $State: Exp $
 */

package au.net.aba.security.spec;

/**
 * A key in an encoded format.
 */
public class X509EncodedKeySpec extends EncodedKeySpec
{
	public final static String ident = "$Id: X509EncodedKeySpec.java,v 1.1 1999/01/20 00:04:38 wslade Exp $";

	/**
	 * Creates a new EncodedKeySpec with the given encoded key.
	 *
	 * @param encodedKey the encoded key.
	 */
	public X509EncodedKeySpec(
		byte[]	encodedKey)
	{
		super(encodedKey);
	}

	/**
	 * Returns the name of the encoding format used by this
	 * key specification.
	 */
	public String getFormat()
	{
		return "X.509";
	}
}

