/*
 * $Id: DESKey.java,v 1.7 1999/01/13 07:31:12 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba/crypto/provider/DESKey.java,v $
 * $Revision: 1.7 $
 * $Date: 1999/01/13 07:31:12 $
 * $State: Exp $
 */

package au.net.aba.crypto.provider;

import java.io.*;

import au.net.aba.io.*;
import au.net.aba.security.*;

import javax.crypto.*;
import javax.crypto.spec.*;

public class DESKey implements SecretKey, Externalizable
{
	public final static String ident = "$Id: DESKey.java,v 1.7 1999/01/13 07:31:12 leachbj Exp $";

	static final long serialVersionUID = 1L;

	private byte[]		key;

	/**
	 * null constructor for serialisation
	 */
	public DESKey()
	{
	}

	public DESKey(
		byte[]	rawKey)
	{
		key = new byte[DESKeySpec.DES_KEY_LEN];
		System.arraycopy(rawKey, 0, key, 0, DESKeySpec.DES_KEY_LEN);

	}

	/**
	 * returns the algorithm for this key.
	 */
	public String getAlgorithm()
	{
		return "DES";
	}

	/**
	 * returns the format for this key.
	 */
	public String getFormat()
	{
		return "RAW";
	}

	/**
	 * returns an encoded representation of this key.
	 */
	public byte[] getEncoded()
	{
		byte[]	tmp;

		tmp = new byte[DESKeySpec.DES_KEY_LEN];
		System.arraycopy(key, 0, tmp, 0, DESKeySpec.DES_KEY_LEN);

		return tmp;
	}

	public void writeExternal(
		ObjectOutput	out)
		throws IOException
	{
		out.write((byte)key.length);
		out.write(key);
	}

	public void readExternal(
		ObjectInput	in)
		throws IOException
	{
		int	len;

		len = in.read();
		key = new byte[len];
		in.readFully(key, 0, len);
	}
}
