/*
 * $Id: DESedeKey.java,v 1.3 1999/01/13 07:31:12 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba/crypto/provider/DESedeKey.java,v $
 * $Revision: 1.3 $
 * $Date: 1999/01/13 07:31:12 $
 * $State: Exp $
 */

package au.net.aba.crypto.provider;

import java.io.*;

import javax.crypto.*;
import javax.crypto.spec.*;

public class DESedeKey implements SecretKey
{
	public final static String ident = "$Id: DESedeKey.java,v 1.3 1999/01/13 07:31:12 leachbj Exp $";

	private byte[]		key;

	public DESedeKey(
		byte[]	rawKey)
	{
		key = new byte[DESKeySpec.DES_KEY_LEN];
		System.arraycopy(rawKey, 0, key, 0, DESKeySpec.DES_KEY_LEN);
	}

	/**
	 * returns the algorithm for this key.
	 */
	public String getAlgorithm()
	{
		return "DESede";
	}

	/**
	 * returns the format for this key.
	 */
	public String getFormat()
	{
		return "RAW";
	}

	/**
	 * returns an encoded representation of this key.
	 */
	public byte[] getEncoded()
	{
		byte[]	tmp;

		tmp = new byte[DESKeySpec.DES_KEY_LEN];
		System.arraycopy(key, 0, tmp, 0, DESKeySpec.DES_KEY_LEN);

		return tmp;
	}
}
