/*
 * $Id: DHPubKey.java,v 1.7 1999/02/18 07:04:10 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba/crypto/provider/DHPubKey.java,v $
 * $Revision: 1.7 $
 * $Date: 1999/02/18 07:04:10 $
 * $State: Exp $
 */
package au.net.aba.crypto.provider;

import java.math.*;
import java.security.*;

import javax.crypto.interfaces.*;
import javax.crypto.spec.*;

/**
 * a class representing a Diffie-Hellman public key. Note: incomplete.
 */
public class DHPubKey implements DHPublicKey
{
	public final static String ident = "$Id: DHPubKey.java,v 1.7 1999/02/18 07:04:10 leachbj Exp $";

	private BigInteger	y;
	private BigInteger	p;
	private BigInteger	g;
	private int		l;

	protected DHPubKey(
		BigInteger	y,
		BigInteger	p,
		BigInteger	g)
	{
		this.y = y;
		this.p = p;
		this.g = g;
	}

	protected DHPubKey(
		BigInteger	y,
		BigInteger	p,
		BigInteger	g,
		int		l)
	{
		this.y = y;
		this.p = p;
		this.g = g;
		this.l = l;
	}

	/**
	 * Returns the public value, y.
	 *
	 * @return the public value, y.
	 */
	public BigInteger getY()
	{
		return y;
	}

	/**
	 * Returns the key parameters.
	 *
	 * @return the key parameters.
	 */
	public DHParameterSpec getParams()
	{
		return new DHParameterSpec(p, g, l);
	}

	/**
	 * return the algorithm for this key.
	 */
	public String getAlgorithm()
	{
		return "DH";
	}

	/**
	 * return the format this key is in.
	 */
	public String getFormat()
	{
		return "ABA";
	}

	/**
	 * return an encoded representation for this key.
	 */
	public byte[] getEncoded()
	{
		throw new RuntimeException(
				"DHPubKey: getEncoded - not implemented");
	}
}
