/*
 * $Id: DigestTest.java,v 1.5 1998/10/20 07:49:44 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba/crypto/test/DigestTest.java,v $
 * $Revision: 1.5 $
 * $Date: 1998/10/20 07:49:44 $
 * $State: Exp $
 */
package aba.test;

import java.io.*;
import java.security.*;
import javax.crypto.*;
import au.net.aba.crypto.provider.ABAProvider;

/**
 * basic test class for a MessageDigest.
 */
public class DigestTest
{
	public static void main(
		String[]	args)
		throws KeyException
	{
		MessageDigest		digest;

		Security.addProvider(new ABAProvider());

		try
		{
			digest = MessageDigest.getInstance(args[0], "ABA");
		}
		catch (Exception e)
		{
			System.err.println(e);
			e.printStackTrace(System.err);
			System.exit(1);
			return;
		}

		digest.update(args[1].getBytes());

		System.out.println("data: "
				+ ByteUtil.bytesToHexStr(args[1].getBytes()));

		System.out.println("digest: "
				+ ByteUtil.bytesToHexStr(digest.digest()));

	}
}
