/*
 * $Id: MacVectorTest.java,v 1.1 1999/02/17 05:36:56 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba/crypto/test/MacVectorTest.java,v $
 * $Revision: 1.1 $
 * $Date: 1999/02/17 05:36:56 $
 * $State: Exp $
 */

package aba.test;

import java.io.*;
import java.util.*;
import java.security.*;
import javax.crypto.*;
import javax.crypto.spec.*;
import java.security.*;

import au.net.aba.crypto.provider.ABAProvider;

/**
 * basic test class for a Mac that uses a file of test keys and test
 * vectors as input.
 */
public class MacVectorTest
{
	static Mac			out;
	static String			algorithm;

	public static void main(
		String[]	args)
		throws Exception
	{
		ABAProvider		prov;
		BufferedReader		bRd;

		prov = new ABAProvider();
		Security.addProvider(prov);
		
		algorithm = args[0];

		bRd = new BufferedReader(
				new FileReader(args[2]));

		try
		{
			out = Mac.getInstance(
					args[1], "ABA");
		}
		catch (Exception e)
		{
			e.printStackTrace(System.err);

			System.err.println(e);
			System.exit(2);
			return;
		}

		/*
		 * read and process the file.
		 */
		String	line;

		while ((line = bRd.readLine()) != null)
		{
			StringTokenizer	st;

			st = new StringTokenizer(line);
			process(st.nextToken(),
					st.nextToken(), st.nextToken());
		}
	}

	public static void process(
		String	keyStr,
		String	plainText,
		String	macResult)
		throws Exception
	{
		byte[]			mac;
		SecretKeySpec		key;
		String			encText;

		key = new SecretKeySpec(
				ByteUtil.hexStrToBytes(keyStr), algorithm);

		out.init(key);

		/*
		 * encipher
		 */
		mac = out.doFinal(ByteUtil.hexStrToBytes(plainText));
		byte[] f = ByteUtil.hexStrToBytes(plainText);

		macResult = macResult.toLowerCase();
		encText = ByteUtil.bytesToHexStr(mac).toLowerCase();

		System.out.println(keyStr.toLowerCase()
			+ ":" + plainText.toLowerCase()
			+ ":" + macResult + ":"
			+ encText + ":" + macResult.equals(encText));
	}
}

