/*
 * $Id: SealedObjectTest.java,v 1.1 1999/02/17 04:37:50 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba/crypto/test/SealedObjectTest.java,v $
 * $Revision: 1.1 $
 * $Date: 1999/02/17 04:37:50 $
 * $State: Exp $
 */

package aba.test;

import javax.crypto.*;
import au.net.aba.security.*;
import au.net.aba.crypto.*;
import au.net.aba.crypto.provider.ABAProvider;
import java.security.Provider.*;
import java.security.*;
import java.io.*;

/**
 * Simple test class to create a SealedObject and then recover
 * the original object.  The encrypted object is simply a
 * string taken from the command line.
 */
public class SealedObjectTest
{
	public static void main(String args[])
	throws Exception
	{
		Security.addProvider(new ABAProvider());

		KeyGenerator generator = KeyGenerator.getInstance(args[0]);

		SecretKey key = generator.generateKey();

		Cipher cipher = Cipher.getInstance(args[1], "ABA");
		cipher.init(Cipher.ENCRYPT_MODE, key);

		String secretObject = args[2];

		SealedObject so = new SealedObject(secretObject, cipher); 

		Object o = so.getObject(key);

		if (o.equals(secretObject))
		{
			System.out.println("SealedObject okay");
		}
		else
		{
			System.out.println("SealedObject failed");
		}
	}
}

