/*
 * $Id: SigTest.java,v 1.1 1999/02/18 00:32:46 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba/crypto/test/SigTest.java,v $
 * $Revision: 1.1 $
 * $Date: 1999/02/18 00:32:46 $
 * $State: Exp $
 */

package aba.test;

import java.io.*;
import java.security.*;
import javax.crypto.*;
import javax.crypto.spec.*;
import au.net.aba.security.*;
import au.net.aba.crypto.provider.ABAProvider;

/**
 * basic test class for a Signature.
 */
public class SigTest
{
	public static void main(
		String[]	args)
		throws Exception
	{
		Security.addProvider(new ABAProvider());

		KeyPairGenerator keyGen = KeyPairGenerator.getInstance(args[0]);
		keyGen.initialize(1024);
		KeyPair keyPair = keyGen.generateKeyPair();

		Signature sigEng = Signature.getInstance(args[1], args[2]);
		sigEng.initSign(keyPair.getPrivate());
		sigEng.update("some data".getBytes());
		byte[] signature = sigEng.sign();

		sigEng = Signature.getInstance(args[1], args[3]);
		sigEng.initVerify(keyPair.getPublic());
		sigEng.update("some data".getBytes());
		if (args.length > 4)
		{
			sigEng.update("some data".getBytes());
		}
		if (sigEng.verify(signature))
		{
			System.out.println("Signature okay");
		}
		else
		{
			System.out.println("Signature fails");
		}
	}
}
