/*
 * $Id: KeyringTrustPacket.java,v 1.2 1998/10/20 04:03:04 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba/pgp/KeyringTrustPacket.java,v $
 * $Revision: 1.2 $
 * $Date: 1998/10/20 04:03:04 $
 * $State: Exp $
 */

package au.net.aba.pgp;

import java.io.*;


//
// Keyring trust packet.
//

class KeyringTrustPacket extends Packet {
	public final static String ident = "$Id: KeyringTrustPacket.java,v 1.2 1998/10/20 04:03:04 leachbj Exp $";

	public byte trust;			// trust data


	//
	// Construct from an input stream.
	// 
	public KeyringTrustPacket (InputStream input)
		throws IOException
	{
		// build packet input stream
		DataInputStream data = buildCipherPacketInputStream (
			input,(byte)0x0c,
			"keyring trust packet expected");

		trust = data.readByte ();
	}
}
