/*
 * $Id: SignaturePacket.java,v 1.2 1998/10/20 04:03:07 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba/pgp/SignaturePacket.java,v $
 * $Revision: 1.2 $
 * $Date: 1998/10/20 04:03:07 $
 * $State: Exp $
 */

package au.net.aba.pgp;

import java.io.*;


//
// Signature packet.
//

class SignaturePacket extends Packet
{
	public final static String ident = "$Id: SignaturePacket.java,v 1.2 1998/10/20 04:03:07 leachbj Exp $";

	public byte version;			// PGP version
	public byte mdLength;			// bytes following to include in digest
	public byte classification;		// signature classifiction
	public long timestamp;			// timestamp of digest
	public long id;				// key id
	public byte pkAlgorithm;		// algorithm for public key scheme
	public byte mdAlgorithm;		// algorithm for message digest scheme
	public byte[] mdCheck;			// first two bytes of digest
	public Multiprecision signature;	// signature


	//
	// Construct from an input stream.
	//
	public SignaturePacket (InputStream input)
		throws IOException
	{
		// build packet input stream
		DataInputStream data = buildCipherPacketInputStream (
			input,(byte)0x02,"signature packet expected");

		version = data.readByte ();
		mdLength = data.readByte ();
		classification = data.readByte ();
		timestamp = data.readUnsignedShort () << 16;
		timestamp |= data.readUnsignedShort ();
		id = data.readLong ();
		pkAlgorithm = data.readByte ();
		mdAlgorithm = data.readByte ();
		mdCheck = new byte[2];
		data.readFully (mdCheck);
		signature = new Multiprecision (data);
	}
}
