/*
 * $Id: UserIDPacket.java,v 1.2 1998/10/20 04:03:07 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba/pgp/UserIDPacket.java,v $
 * $Revision: 1.2 $
 * $Date: 1998/10/20 04:03:07 $
 * $State: Exp $
 */

package au.net.aba.pgp;

import java.io.*;


//
// User ID packet.
//

class UserIDPacket extends Packet
{
	public final static String ident = "$Id: UserIDPacket.java,v 1.2 1998/10/20 04:03:07 leachbj Exp $";

	public String user;			// user id


	//
	// Construct from an input stream.
	// Assumes the cipher byte type has already been read.
	// 
	public UserIDPacket (InputStream input)
		throws IOException
	{
		// build packet input stream
		DataInputStream data = buildCipherPacketInputStream (
			input,(byte)0x0d,
			"user id packet expected");

		// read string
		StringBuffer buffer = new StringBuffer ();
		try {
			while (true){
				char c = (char)data.readByte ();
				buffer.append (c);
			}
		}
		catch (EOFException e){
			user = new String (buffer);
		}
	}
}
