#!/bin/sh
TOP=`pwd`
DIRS="javax/crypto \
	javax/crypto/spec \
	javax/crypto/interfaces \
	au.net.aba/crypto \
	au.net.aba/crypto/spec \
	au.net.aba/crypto/provider"
PACKAGES="`echo $DIRS | sed -e 's:/:.:g'`"

CLASSES=$TOP/classes
CLASSPATH=$CLASSES ; export CLASSPATH

if [ ! -d $CLASSES ] ; then
	mkdir $CLASSES
fi

for i in $DIRS ; do
        cd $i
        echo "Building $i"
        javac -d $CLASSES *.java
        cd $TOP
done

if [ ! -d au ] ; then
	mkdir -p au/net
	(cd au/net; ln -s ../../au.net.aba aba)
fi

if [ ! -d docs-1.2 ] ; then
   mkdir docs-1.2
fi

unset CLASSPATH
javadoc -d docs-1.2 $PACKAGES

rm -rf au

if [ ! -d lib-1.2 ] ; then
	mkdir lib-1.2
fi

(cd $CLASSES; jar cvMf ../lib-1.2/jce.zip *)
