/*
 * $Id: BadPaddingException.java,v 1.4 1998/10/05 04:49:26 dgh Exp $
 * $Author: dgh $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/javax/crypto/BadPaddingException.java,v $
 * $Revision: 1.4 $
 * $Date: 1998/10/05 04:49:26 $
 * $State: Exp $
 */

package javax.crypto;

import java.security.*;
import java.security.GeneralSecurityException;

/**
 * This exception is thrown when a particular padding mechanism is expected
 * for the input data but the data is not padded properly 
 */
public class BadPaddingException extends GeneralSecurityException
{
	public final static String ident = "$Id: BadPaddingException.java,v 1.4 1998/10/05 04:49:26 dgh Exp $";

	/**
	 * Constructs a BadPaddingException with no detail message. A detail
	 * message is a String that describes this particular exception.
	 */
	public BadPaddingException()
	{
	}

	/**
	 * Constructs a BadPaddingException with the specified detail message.
	 * A detail message is a String that describes this particular exception,
	 * which may, for example, specify which algorithm is not available.
	 *
	 * @param msg the detail message
	 */
	public BadPaddingException(
		String msg)
	{
		super(msg);
	}
}
