/*
 * $Id: IllegalBlockSizeException.java,v 1.5 1998/10/29 06:17:01 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/javax/crypto/IllegalBlockSizeException.java,v $
 * $Revision: 1.5 $
 * $Date: 1998/10/29 06:17:01 $
 * $State: Exp $
 */

package javax.crypto;

import java.security.*;
import au.net.aba.security.*;

/**
 * This exception is thrown when the length of data provided to a block cipher
 * is incorrect, i.e., does not match the block size of the cipher.
 */
public class IllegalBlockSizeException extends GeneralSecurityException
{
	public final static String ident = "$Id: IllegalBlockSizeException.java,v 1.5 1998/10/29 06:17:01 leachbj Exp $";

	/**
	 * Constructs an IllegalBlockSizeException with no detail message.
	 * (A detail message is a String that describes this particular
	 * exception.)
	 */
	public IllegalBlockSizeException()
	{
	}

	/**
	 * Constructs an IllegalBlockSizeException with the specified detail
	 * message. (A detail message is a String that describes this particular
	 * exception.)
	 *
	 * @param msg the detail message
	 */
	public IllegalBlockSizeException(
		String msg)
	{
		super(msg);
	}
}
