/*
 * $Id: NoSuchPaddingException.java,v 1.5 1998/10/29 06:17:02 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/javax/crypto/NoSuchPaddingException.java,v $
 * $Revision: 1.5 $
 * $Date: 1998/10/29 06:17:02 $
 * $State: Exp $
 */

package javax.crypto;

import java.security.*;
import au.net.aba.security.*;

/**
 * This exception is thrown when a particular padding mechanism is requested
 * but is not available in the environment. 
 */
public class NoSuchPaddingException extends GeneralSecurityException
{
	public final static String ident = "$Id: NoSuchPaddingException.java,v 1.5 1998/10/29 06:17:02 leachbj Exp $";

	/**
	 * Constructs a NoSuchPaddingException with no detail message. A detail
	 * message is a String that describes this particular exception.
	 */
	public NoSuchPaddingException()
	{
	}

	/**
	 * Constructs a NoSuchPaddingException with the specified detail message.
	 * A detail message is a String that describes this particular exception,
	 * which may, for example, specify which algorithm is not available.
	 *
	 * @param msg the detail message
	 */
	public NoSuchPaddingException(
		String msg)
	{
		super(msg);
	}
}
