/*
 * $Id: SecretKey.java,v 1.5 1998/10/05 04:49:47 dgh Exp $
 * $Author: dgh $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/javax/crypto/SecretKey.java,v $
 * $Revision: 1.5 $
 * $Date: 1998/10/05 04:49:47 $
 * $State: Exp $
 */
package javax.crypto;

import java.security.*;

/**
 * A secret (symmetric) key. This interface contains no methods or constants.
 * Its only purpose is to group (and provide type safety for) secret keys. 
 * <p>
 * Provider implementations of this interface must overwrite the equals and
 * hashCode methods inherited from java.lang.Object, so that secret keys
 * are compared based on their underlying key material and not based on
 * reference. 
 * <p>
 * Keys that implement this interface return the string RAW as their encoding
 * format (see getFormat), and return the raw key bytes as the result of a
 * getEncoded method call. (The getFormat and getEncoded methods are
 * inherited from the java.security.Key parent interface.) 
 *
 * @see Key
 * @see PublicKey
 * @see PrivateKey
 * @see SecretKeyFactory
 * @see Cipher 
 */
public interface SecretKey extends Key
{
	public final static String ident = "$Id: SecretKey.java,v 1.5 1998/10/05 04:49:47 dgh Exp $";
}
