/*
 * $Id: DHPrivateKey.java,v 1.3 1998/10/05 04:50:05 dgh Exp $
 * $Author: dgh $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/javax/crypto/interfaces/DHPrivateKey.java,v $
 * $Revision: 1.3 $
 * $Date: 1998/10/05 04:50:05 $
 * $State: Exp $
 */

package javax.crypto.interfaces;

import java.math.*;
import java.security.*;

/**
 * The interface to a Diffie-Hellman private key.
 *
 * @see DHKey
 * @see DHPublicKey
 */
public interface DHPrivateKey
	extends DHKey, PrivateKey
{
	public final static String ident = "$Id: DHPrivateKey.java,v 1.3 1998/10/05 04:50:05 dgh Exp $";

	/**
	 * Returns the private value, x.
	 * 
	 * @return the private value, x
	 */
	public BigInteger getX();

}
